# GENERATED
fields: &fields
  - label: "Title"
    name: "title"
    widget: "string"
    hint: "Page H1"
#    pattern: ['.{50,70}', "Must have 50-70 characters"]
  - label: "Description"
    hint: "Appears above post test and search description"
    name: "description"
    widget: "string"
    pattern: ['.{110,170}', "Must have 110-170 characters"]
  - label: "Meta title"
    hint: "Appears in search"
#    pattern: ['.{50,70}', "Must have 50-70 characters"]
    name: "metaTitle"
    widget: "string"
    required: true
  - label: "Body"
    name: "body"
    hint: "Post body content. Can use <Youtube embedId=\"...\" /> to embed videos and <Gen name=\"\"/> to embed code."
    widget: "markdown"
  - label: "Grid / list label"
    hint: "Displayed as title in list and grids"
    name: "listLabel"
    widget: "string"
    required: false
  - label: "Meta description"
    hint: "Description for search engine"
    pattern: ['.{110,170}', "Must have 50-70 characters"]
    name: "metaDescription"
    widget: "string"
    required: false
  - label: "Author"
    hint: "Post author"
    name: "author"
    widget: "string"
    required: false
  - label: "Banner icon"
    hint: "Banner icon"
    name: "bannerIcon"
    widget: "string"
    required: false
  - label: "Page type"
    hint: "Type of page layout"
    name: "pageType"
    widget: "select"
    required: false
    options: ['post', 'api', 'examples', 'aggregate', 'technical', 'section', 'single', 'product']
    default: 'technical'
  - label: "Related posts"
    hint: "Related posts. Will display as links at the bottom of the page in read more style."
    name: "related"
    default: []
    required: false
    widget: "relation"
    collection: "content_all"
    search_fields: [ 'slug', 'title', 'description' ]
    value_field: "{{slug}}"
    display_fields: [ "{{title}}" ]
    multiple: true
  - label: "Date"
    hint: "YYYY-MM-DD"
    name: "date"
    widget: "datetime"
    date_format: "DD-MM-YYYY"
    time_format: false
    format: "YYYY-MM-DD"
    required: false
  - label: "Featured"
    hint: "Should post appear in the featured section"
    name: "featured"
    required: false
    widget: "boolean"
    default: false
  - label: "Recommended"
    hint: "Should post appear in the recommend section"
    name: "recommended"
    required: false
    widget: "boolean"
    default: false
  - label: "Weight"
    hint: "Control where in a featured or recommend list the post appears. Higher numbers are lower in the list."
    name: "weight"
    widget: "number"
    required: false
    value_type: "int"
  - label: "Schema"
    hint: "JSON-LD meta data"
    name: "schema"
    widget: "object"
    required: false
    fields:
      - label: "FAQ"
        name: "faq"
        widget: "list"
        required: false
        fields:
          - label: "q"
            name: "question"
            widget: "string"
            required: false
          - label: "a"
            name: "answer"
            widget: "string"
            required: false
  - label: "Tags"
    hint: "Simple themes that can be used to group similar posts"
    name: "tags"
    widget: "list"
    required: false
  - label: "Featured Image"
    required: false
    hint: "Main image for page"
    name: "image"
    widget: "image"
    choose_url: true
  - label: "Footer CTA"
    name: "footerCta"
    hint: "Custom text and buttons for the footer CTA section"
    required: false
    widget: "object"
    fields:
      - name: title
        label: "Title"
        widget: "string"
        required: false
      - name: description
        label: "Description"
        widget: "string"
        required: false
      - label: "Button"
        name: "button"
        required: false
        widget: "object"
        fields:
          - label: "Text"
            name: "text"
            widget: "string"
            required: false
          - label: "Link"
            name: "href"
            required: false
            widget: "string"
      - label: "Button secondary"
        name: "buttonSecondary"
        required: false
        widget: "object"
        fields:
          - label: "Text"
            name: "text"
            widget: "string"
            required: false
          - label: "Link"
            name: "href"
            widget: "string"
            required: false
  - label: "Product"
    name: "product"
    widget: "object"
    hint: "Product page style items"
    required: false
    fields:
      - label: "Jumbo"
        name: "jumbo"
        widget: "object"
        hint: "Jumbo header section"
        required: false
        fields:
          - label: "Image"
            name: "image"
            widget: "image"
            required: false
          - label: "Image frame"
            hint: "Should image be framed with border and shadow"
            required: false
            name: "frame"
            widget: "boolean"
            default: true
          - label: "Video"
            hint: "Video feature"
            required: false
            widget: object
            name: video
            fields:
              - name: embedId
                required: false
                label: "Youtube embed ID"
                widget: string
              - name: title
                required: false
                label: "Title"
                widget: string
              - name: description
                required: false
                label: "Description"
                widget: string
          - label: "Title"
            name: "title"
            widget: "string"
            required: false
          - label: "Description"
            name: "description"
            widget: "string"
            required: false
          - label: "Super"
            name: "sup"
            widget: "string"
            required: false
          - label: "Button"
            name: "button"
            required: false
            widget: "object"
            fields:
              - label: "Text"
                name: "text"
                widget: "string"
                required: false
              - label: "Link"
                name: "href"
                widget: "string"
                required: false
          - label: "Button secondary"
            name: "buttonSecondary"
            required: false
            widget: "object"
            fields:
              - label: "Text"
                name: "text"
                widget: "string"
                required: false
              - label: "Link"
                name: "href"
                widget: "string"
                required: false
      - label: "Video"
        hint: "Video feature"
        required: false
        widget: object
        name: video
        fields:
          - name: embedId
            required: false
            label: "Youtube embed ID"
            widget: string
          - name: title
            required: false
            label: "Title"
            widget: string
          - name: description
            required: false
            label: "Description"
            widget: string
      - label: "Features"
        hint: "Feature overview"
        name: features
        widget: object
        required: false
        fields:
          - name: sup
            label: "Super"
            required: false
            widget: string
          - name: title
            label: "Title"
            required: false
            widget: string
          - name: description
            label: "Description"
            required: false
            widget: string
          - name: items
            label: "Items"
            widget: "list"
            required: false
            fields:
              - name: title
                label: "Title"
                required: false
                widget: string
              - name: description
                label: "Description"
                required: true
                widget: string
              - name: href
                label: "Link"
                required: false
                widget: string
      - label: "Side by side"
        name: sideBySide
        hint: "Side by side features"
        widget: "object"
        required: false
        fields:
          - name: items
            label: "Items"
            widget: "list"
            required: false
            fields:
              - name: sup
                label: "Super"
                required: false
                widget: string
              - name: title
                label: "Title"
                required: false
                widget: string
              - name: description
                label: "Description"
                required: true
                widget: string
              - name: button
                label: "Button"
                widget: object
                required: false
                fields:
                  - name: text
                    label: "Text"
                    required: false
                    widget: string
                  - name: href
                    label: "Link"
                    required: false
                    widget: string
              - label: "Image frame"
                hint: "Should image be framed with border and shadow"
                required: false
                name: "frame"
                widget: "boolean"
                default: true
              - label: "Featured Image"
                required: false
                name: "image"
                widget: "image"
                choose_url: true
              - label: "Code"
                required: false
                name: "code"
                widget: "string"
              - label: "Video embedId"
                required: false
                name: "video"
                widget: "string"
# https://decapcms.org/docs/configuration-options/
logo_url: /logo.svg
site_url: https://www.mailslurp.com
local_backend: false
backend:
  name: bitbucket
  repo: mailslurp-org/landing
  auth_type: implicit
  branch: master
  app_id: v8FbLx296pyvhSGm9y
media_folder: public/media
public_folder: /media
collections:
  - label: "Guides"
    name: "content_guides"
    nested: { depth: 100 }
    folder: "content/guides"
    slug: "{{slug}}/index{{extension}}"
    create: true
    summary: "{{dirname}}"
    fields: *fields
  - label: "Blog"
    name: "content_blog"
    nested: { depth: 100 }
    folder: "content/blog"
    slug: "{{slug}}/index{{extension}}"
    create: true
    fields: *fields
    summary: "{{dirname}}"
  - label: "Product"
    name: "content_product"
    nested: { depth: 100 }
    folder: "content/product"
    slug: "{{slug}}/index{{extension}}"
    create: true
    fields: *fields
    summary: "{{dirname}}"
  - label: "Solutions"
    name: "content_solutions"
    nested: { depth: 100 }
    folder: "content/solutions"
    slug: "{{slug}}/index{{extension}}"
    create: true
    fields: *fields
    summary: "{{dirname}}"
  - label: "All"
    name: "content_all"
    nested: { depth: 100 }
    folder: "content"
    slug: "{{slug}}/index{{extension}}"
    create: true
    fields: *fields
    summary: "{{dirname}}"
